org.springframework.data.relational.core.sql

## Enum IdentifierProcessing.LetterCasing

- java.lang.Object
- - java.lang.Enum<IdentifierProcessing.LetterCasing>
  - - org.springframework.data.relational.core.sql.IdentifierProcessing.LetterCasing

All Implemented Interfaces:
  Serializable, Comparable<IdentifierProcessing.LetterCasing>

Enclosing interface:
  IdentifierProcessing

    public static enum IdentifierProcessing.LetterCasing
    extends Enum<IdentifierProcessing.LetterCasing>

Encapsulates the three kinds of letter casing supported.

Since:
  2.0
Author:
  Jens Schauder

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AS_IS`
`LOWER_CASE`
`UPPER_CASE`

### Method Summary

All Methods Static Methods Concrete Methods
`static IdentifierProcessing.LetterCasing` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdentifierProcessing.LetterCasing[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UPPER_CASE

    public static final IdentifierProcessing.LetterCasing UPPER_CASE

#### LOWER_CASE

    public static final IdentifierProcessing.LetterCasing LOWER_CASE

#### AS_IS

    public static final IdentifierProcessing.LetterCasing AS_IS

### Method Detail

#### values

    public static IdentifierProcessing.LetterCasing[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IdentifierProcessing.LetterCasing c : IdentifierProcessing.LetterCasing.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IdentifierProcessing.LetterCasing valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null